ResponseStatus
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcebroker.utils.serialization.types
Class ResponseStatus

    java.lang.Object
      org.gcube.vremanagement.resourcebroker.utils.serialization.types.ResponseStatus

    public class ResponseStatus

extends java.lang.Object

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`ResponseStatus()`
`ResponseStatus(java.lang.String status)`
`ResponseStatus(java.lang.String status, java.lang.String message)`
`ResponseStatus(java.lang.String status, java.lang.String message, PackageGroup position)`

Method Summary
`java.lang.String` | `getMsg()`
`PackageGroup` | `getPosition()`
`java.lang.String` | `getStatus()`
`void` | `setMsg(java.lang.String msg)`
`void` | `setPosition(PackageGroup position)`
`void` | `setStatus(java.lang.String status)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseStatus

    public ResponseStatus()

### ResponseStatus

    public ResponseStatus(java.lang.String status)

### ResponseStatus

    public ResponseStatus(java.lang.String status,
                          java.lang.String message,
                          PackageGroup position)

### ResponseStatus

    public ResponseStatus(java.lang.String status,
                          java.lang.String message)

Method Detail

### getStatus

    public final java.lang.String getStatus()

### setStatus

    public final void setStatus(java.lang.String status)

### getMsg

    public final java.lang.String getMsg()

### setMsg

    public final void setMsg(java.lang.String msg)

### getPosition

    public PackageGroup getPosition()

### setPosition

    public void setPosition(PackageGroup position)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD